Latest Xorg removes nvidia driver ... conflicting xserver-xorg-video-4

Bug #308410 reported by Daniel Hahler on 2008-12-16
252
This bug affects 29 people
Affects Status Importance Assigned to Milestone
Jockey
Undecided
Unassigned
fglrx-installer (Ubuntu)
Undecided
Unassigned
Jaunty
Undecided
Unassigned
jockey (Ubuntu)
Critical
Martin Pitt
Jaunty
Critical
Martin Pitt
nvidia-graphics-drivers-173 (Ubuntu)
Medium
Alberto Milone
Jaunty
Medium
Alberto Milone
nvidia-graphics-drivers-177 (Ubuntu)
Medium
Alberto Milone
Jaunty
Medium
Alberto Milone
nvidia-graphics-drivers-180 (Ubuntu)
Medium
Unassigned
Jaunty
Medium
Unassigned
nvidia-graphics-drivers-96 (Ubuntu)
Medium
Alberto Milone
Jaunty
Medium
Alberto Milone
update-manager (Ubuntu)
Medium
Unassigned
Jaunty
Medium
Unassigned
xorg (Ubuntu)
Undecided
Unassigned
Jaunty
Undecided
Unassigned

Bug Description

Jockey removes Xorg (on Jaunty)

I've installed the restricted nvidia driver (177) on Ubuntu Jaunty and this caused the removal of the whole xorg package stack!
This is due to nvidia-glx-177 being incompatible with the new Xorg packages.

I think jockey should rather fail to install a driver than remove any (essential) packages.

Manually trying to install nvidia-glx-177 displays this:
The following packages will be REMOVED:
  xorg xserver-xorg xserver-xorg-core xserver-xorg-input-evdev [...] xserver-xorg-video-voodoo
The following packages will be upgraded / installed:
  nvidia-glx-177

Ubuntu 9.04 development release
jockey 0.5~beta3-0ubuntu9

Nikola Yanev (gericom) wrote :

this happened to me too with trying to install even nvidia legacy drivers or forcing the install
is says that xorg is conflicting with xorg-xserver-video-4 and if i try to install it from synaptic it gonna remove whole *xorg* packages + ubuntu-desktop pack!

nvidia-glx-173,177,180beta
Ubuntu 9.04 development release

Nikola Yanev (gericom) on 2008-12-16
description: updated
Changed in xorg:
assignee: nobody → albertomilone
importance: Undecided → Medium
status: New → Confirmed

same problem.
this is because someone (Timo Aaltonen < <email address hidden>>) at (https://launchpad.net/ubuntu/+source/xorg)
make this -
 * xserver-xorg: Bump the depends on xserver-xorg-core, and require
    xserver-xorg-video-5, xserver-xorg-input-4.

xserver-xorg-video-4 --> xserver-xorg-video-5

xserver-xorg-video-4 now in conflict list.

nvidia-glx-177 (-180 for me) provides xserver-xorg-video-4 (not xserver-xorg-video-5) ..
and update to new xorg minor/minor/minor build ... break graphics .. nvidia-glx cannon be installed ;(

confused about Timo Aaltonen ... - "think before do anything!"

Daniel Petty (mixmatch) wrote :

So what is the best way to get the nvidia driver to provide xserver-xorg-video-5?

xoco (arthur.ivanov) wrote :

yep, need to bump version in nvidia-glx to provide ..-video-5

xoco (arthur.ivanov) wrote :

and how 308698 bug can be dublicate 308410??
308410 < 308698

Bryce Harrington (bryce) wrote :

[Unnecessary to have an xorg task]

Changed in xorg:
status: New → Invalid
Timo Aaltonen (tjaalton) wrote :

you can build the driver yourself (bump the version to -foo.1 first), but it would still not work without adding IgnoreABI to the driver options.

And, IIRC 177 would segfault where 180 does work when the option is used.

xoco (arthur.ivanov) wrote :

yep. Timo is right
i try to rebuild package :

mkdir build
cd build
sudo apt-get source nvidia-glx-180
sudo dpkg-source -x nvidia-graphics-drivers-180_180.11-0ubuntu1.dsc
cd nvidia-graphics-drivers-180-180.11
sudo dpkg-buildpackage -rfakeroot -b
sudo dpkg -i ./nvidia-glx-180_180.11-0ubuntu1_i386.deb nvidia-180-kernel-source_180.11-0ubuntu1_i386.deb nvidia-180-modaliases_180.11-0ubuntu1_i386.deb

and get problem with ABI on load xorg
and this help me :
Section "ServerFlags"
    Option "ignoreABI" "True"
EndSection

xoco (arthur.ivanov) wrote :

waiting for nvidia's release ? right ?

xoco (arthur.ivanov) wrote :

may be 180.16 fix it ?

Alberto Milone (albertomilone) wrote :

Nvidia should add the support for this. Let's wait for a new release.

plun (plun) wrote :

Hi all

UF discussion thread
http://ubuntuforums.org/showthread.php?t=1011847

"dinxter" solution: (ignoreABI) ((xocos solution similar))
http://ubuntuforums.org/showpost.php?p=6378516&postcount=25

But for me Gnome crashes with this message

""The greeter application appears to be crashing"" a few bugs about this within Launchpad.

Xorg.0.log doesn't give any good clues for me, seems to be OK so something crashes Gnome.

A SSH connection and a look at xsession-errors doesn't give anything.....

tty is also broken and can be fixed with a nosplash boot https://bugs.launchpad.net/bugs/301737

Daniel Petty (mixmatch) wrote :

This is two separate bug reports at the moment. xorg and nvidia are screwed up, but so are jockey and envyng, which should not be removing packages without prompting.

plun (plun) wrote :

Followup... probably messed up system for me.

Clean system install > ignoreABI added to xorg.conf > everything is OK.. !

Using nVidia driver 180.16 installed from recovery.

Daniel Petty (mixmatch) wrote :

I can confirm that 180.16, as installed from here ( http://www.nvnews.net/vbulletin/showthread.php?p=1873716 ), does not resolve the ABI problem.

Noel J. Bergman (noeljb) wrote :

Tomorrow is going to be "fun". It sounds that new users installing Alpha 2 will be forced to use one of the two toy drivers (nv and nouveau), and if they force an install of the real driver, they'll hose X. Unless they bypass apt, go straight to nvidia, install that package, and make the necessary change to xorg.conf.

Sounds like a good entry for tomorrow's release page (if you're going to install Alpha 2, just live with the toy drivers for now if you aren't sure of your ability to get the real one working yourself), and a good reason to hang out in the IRC channel with a URL to this bug report in a paste buffer.

On Wed, Dec 17, 2008 at 06:30:23PM -0000, Noel J. Bergman wrote:
> Tomorrow is going to be "fun". It sounds that new users installing
> Alpha 2 will be forced to use one of the two toy drivers (nv and
> nouveau), and if they force an install of the real driver, they'll hose
> X. Unless they bypass apt, go straight to nvidia, install that package,
> and make the necessary change to xorg.conf.
>
> Sounds like a good entry for tomorrow's release page (if you're going to
> install Alpha 2, just live with the toy drivers for now if you aren't
> sure of your ability to get the real one working yourself), and a good
> reason to hang out in the IRC channel with a URL to this bug report in a
> paste buffer.

Added:
https://wiki.ubuntu.com/JauntyJackalope/TechnicalOverview

Bryce

Nikola Yanev (gericom) on 2008-12-18
Changed in xorg:
status: Invalid → New
Alex (freak22002000) wrote :

I think this is the bug I have. I ran the most recent updates for Intrepid and it disabled something with xconfig. This is also causing me to be forced into low-graphics mode on restart.
When trying to run NVIDIA Xserver settings I get the following error:
You do not appear to be using the NVIDIA X driver. Please edit your X configuration file (just run `nvidia-xconfig` as root), and restart the X server.
I have tried reinstalling everything and the forums do not have a solid solution yet either.

Noel J. Bergman (noeljb) wrote :

No, based on https://launchpad.net/ubuntu/+source/xorg, I don't believe that it is the same. This bug should be specific to Jaunty.

I believe that you are encountering the bug that cause me to open Bug 268389. You have updated the kernel, the nvidia driver isn't available/loading, and so we default to a low-res solution instead of switching to the nv driver as a fallback. If I'm correct, would you mind posting the info that Bryce asked for in the bug?

Please open a separate bug if you don't find one that matches your issue.

Bryce Harrington (bryce) wrote :

[Unnecessary to have a bug task against xorg as well]

Changed in xorg:
status: New → Invalid
Anders Kaseorg (andersk) on 2008-12-21
Changed in nvidia-graphics-drivers-180:
status: New → Confirmed
Kjell Braden (afflux) on 2008-12-23
Changed in nvidia-graphics-drivers-180:
importance: Undecided → Medium
kunami (mastah-killa) wrote :

I am experiencing the same as Alex, but I believe it was because the kernel moduledriver did not install correctly, i.e.

A instalar nvidia-177-kernel-source (177.82-0ubuntu0.1) ...
Removing all DKMS Modules
Done.
Adding Module to DKMS build system
driver version= 177.82
Doing initial module build

Error! Your kernel source for kernel 2.6.27-9-generic cannot be found at
/lib/modules/2.6.27-9-generic/build or /lib/modules/2.6.27-9-generic/source.
Installing initial module

Error! Could not locate nvidia.ko for module nvidia in the DKMS tree.
You must run a dkms build for kernel 2.6.27-9-generic (i686) first.
Done.

A instalar nvidia-glx-177 (177.82-0ubuntu0.1) ...

The problem is... how can there be something missing if I haven't uninstalled anything in a month?

Alberto Milone (albertomilone) wrote :

kunami: I believe that you updated your system and maybe you didn't have "linux-headers-generic" installed, therefore when you upgraded the kernel, its kernel headers were not automatically installed and DKMS couldn't build the kernel module.

kunami (mastah-killa) wrote :

Ugh... I can't believe it took someone else to say it for me to realize this, but that's not what happened. I had enabled updates from intrepid-proposed, which updated the kernel to 2.6.27-10, and then removed linux-image, -headers, -restricted-modules and ubuntu-modules for 2.6.27-9. But there were problems with the wireless drivers in -10, so I changed back, but neglected to install linux-headers-generic...

Anyway, thanks, and sorry for taking a bit of your time.

ChadBerg (chadberg) wrote :

Has anyone tried this with 180.22 (http://www.nvnews.net/vbulletin/showthread.php?p=1897256) They say it has 'improved compatibility with recent kernels'

ChadBerg (chadberg) wrote :

(Ignore the kernel bit, mental slip) Still, any word on 180.22 resolving anything?

Noel J. Bergman (noeljb) wrote :

Chad,

180.22 still breaks resume (Bug 306315), and still requires the IgnoreABI setting in xorg.conf, which is not put in during installation. Yes, with the latest xorg packages installed, which are no longer held back once you install 180.22. I have the latest of everything upgraded in Jaunty, and these problems are present.

Ing0R (ing0r) wrote :

@ChatBerg
X does not start for me using 180.22 (with -ignoreABI)
Thinkpad R61 nvidia nvs 140

Claudio Moretti (flyingstar16) wrote :

Two questions:
1) Is there any workaround that does not involve [re]compiling nvidia drivers?
2) Is this something unfixable? can't we just edit nvidia package to remove the problem? Or xserver-xorg, if the problem lives there..
I thought this problem was caused by this: https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-177/+bug/308410/comments/2 and I can't understand why IgnoreABI is necessary..
My apologies for my ignorance .-.

Michael Vogt (mvo) wrote :

I milestoned this for update-manager so that we can warn the user if nvidia (or fglrx) get not updated in time.

Changed in update-manager:
importance: Undecided → Medium
milestone: none → ubuntu-9.04-beta
status: New → Triaged
Changed in nvidia-graphics-drivers-96:
assignee: nobody → albertomilone
importance: Undecided → Medium
status: New → Confirmed
Changed in nvidia-graphics-drivers-173:
assignee: nobody → albertomilone
importance: Undecided → Medium
status: New → Confirmed
toresbe (toresbe-gmail) wrote :

Using 180.22 with ForceABI causes display corruption and random but very frequent X crashes on my dual screen 9800 GTX.

With dual screen disabled, things work again.

Bryce Harrington (bryce) wrote :

Please report issues from after installation separately so this bug report doesn't get clogged.

(In truth, it may not be worth the effort to file bugs on the existing drivers until the ABI is updated, since all those things will need to be re-tested once we get a new build from nVidia.)

Aaron Plattner (aplattner) wrote :

I got word from the X.org folks that ABI 5 is frozen, so the next round of driver releases will no longer require -ignoreABI. I *believe* there were no breakages between the version 180.22 was complied against and the frozen version, but I haven't verified that. I still don't recommend disabling the ABI check if you're not actively developing the X server.

Matt Walker (matthaeus123) wrote :

has Nvidia been contacted about this?

Bryce Harrington (bryce) wrote :

@matthaeus123, yes in fact they made the comment immediately before yours. ;-)

Martin Pitt (pitti) wrote :

Not an upstream Jockey problem.

Changed in jockey:
status: New → Invalid
Martin Pitt (pitti) wrote :

Will disable nvidia drivers in Jockey for the time being.

Changed in jockey:
assignee: nobody → pitti
importance: Undecided → Critical
status: New → In Progress
Martin Pitt (pitti) wrote :

Ah, nevermind, that was already done in December:

jockey (0.5~beta3-0ubuntu10) jaunty; urgency=low

  * data/handlers/{fglrx,nvidia}.py: Disable for now, they do not
    currently work with X.org 1.6.

 -- Martin Pitt <email address hidden> Wed, 17 Dec 2008 10:29:26 +0100

Changed in jockey:
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-96 - 96.43.10-0ubuntu1

---------------
nvidia-graphics-drivers-96 (96.43.10-0ubuntu1) jaunty; urgency=low

  * New upstream release. Supports the new X.org ABI (LP: #308410)
    * Fixed a text corruption problem on X.org server 1.5 and up.
    * Fixed a problem that caused nvidia-installer to remove Compiz's libglx.so.
    * Added "nvidia-uninstall" as a shortcut for "nvidia-installer --uninstall".
    * Added the ability to run distribution provided pre- and post- installation
      hooks to 'nvidia-installer'; please see the 'nvidia-installer' manual page
      for details.
    * Fixed an X server crash with multiple server generations when GLX is disabled.
    * Fixed a bug that caused corrupt window decorations in Compiz.
    * Worked around an X server bug that causes text to disappear when a composite
      manager is enabled on X.org 1.5 and newer.
    * Fixed a problem that prevented X from starting on 2.6.29-rc1 with an error
      like the following:
      X:6500 map pfn expected mapping type write-combining for d0000000-d0500000,
      got uncached-minus
  * debian/nvidia-glx-96.preinst:
    - Correct typo in the removal of diversions of /usr/lib/xorg/modules/extensions/libglx.so
  * debian/nvidia-glx-96.postrm.in
    - Do not remove libGL.so (LP: #309116)
  * debian/nvidia-glx-96-dev.preinst.in:
    - Add diversion on /usr/lib/libGL.so since (the postrm tries to remove it already)
  * debian/scriptremove.sh:
    - Remove from source

 -- Alberto Milone (tseliot) <email address hidden> Thu, 29 Jan 2009 14:46:33 +0100

Changed in nvidia-graphics-drivers-96:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-173 - 173.14.16-0ubuntu1

---------------
nvidia-graphics-drivers-173 (173.14.16-0ubuntu1) jaunty; urgency=low

  * New upstream release. Supports the new X.org ABI (LP: #308410)
    * Fixed a problem that caused nvidia-installer to remove Compiz's libglx.so.
    * Added "nvidia-uninstall" as a shortcut for "nvidia-installer --uninstall".
    * Fixed a bug that caused corrupt window decorations in Compiz (LP: #186382).
    * Fixed corruption in KDE 4 when OpenOffice is launched.
    * Fixed a problem that prevented X from starting on 2.6.29-rc1 with an error
      like the following:
      X:6500 map pfn expected mapping type write-combining for d0000000-d0500000,
      got uncached-minus
    * Added the ability to run distribution provided pre- and post- installation
      hooks to 'nvidia-installer'; please see the 'nvidia-installer' manual page for details.
  * Drop debian.binary/patches/NVIDIA_173.14.12_2.6.27.patch
  * debian/nvidia-glx-173.preinst:
    - Correct typo in the removal of diversions of /usr/lib/xorg/modules/extensions/libglx.so
  * debian/nvidia-glx-173.postrm.in
    - Do not remove libGL.so (LP: #309116)
  * debian/nvidia-glx-173-dev.preinst.in:
    - Add diversion on /usr/lib/libGL.so since (the postrm tries to remove it already)
  * debian/nvidia-glx-173-dev.postrm:
    - replace legacy-173xx with 173

 -- Alberto Milone (tseliot) <email address hidden> Thu, 29 Jan 2009 13:23:57 +0100

Changed in nvidia-graphics-drivers-173:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-180 - 180.27-0ubuntu1

---------------
nvidia-graphics-drivers-180 (180.27-0ubuntu1) jaunty; urgency=low

  * New upstream release. Supports the new X.org ABI (LP: #308410, #322416)
    * Added support for the following GPUs:
       o GeForce GTX 295
       o GeForce GTX 285
       o GeForce 9300 GE
       o Quadro NVS 420
    * Fixed a bug that caused VDPAU to display a green screen when using the
      overlay-based presentation queue with interlaced modes.
    * Fixed a bug that prevented VDPAU from working correctly after X server
      restarts on some GPUs.
    * Improved VDPAU's handling of mode switches; eliminated a crash in its
      mode switch recovery code and a hang in the blit-based presentation queue.
    * Fixed a bug that caused VDPAU to crash when using DisplayPort devices.
    * Fixed a potential hang in VDPAU when using the blit-based presentation
      queue on systems with multiple GPUs not in SLI mode.
    * Implemented missing error checking of layer data in VDPAU's VdpVideoMixerRender
      function.
    * Improved VDPAU's handling of setups with multiple GPUs, if a subset of the
      GPUs cannot be supported due to resource limitations.
    * Improved GPU video memory management coordination between the NVIDIA X driver
      and VDPAU.
    * Fix potential hang in VDPAU when the overlay is already in use.
    * Improved workstation OpenGL performance.
    * Fixed an X driver acceleration bug that resulted in Xid errors on GeForce 6 and
      7 series GPUs.
    * Updated the X driver to consider GPUs it does not recognize supported, allowing
      it to drive some GPUs it previously ignored.
    * Added the ability to run distribution provided pre- and post- installation hooks
      to 'nvidia-installer'; please see the 'nvidia-installer' manual page for details.
    * Updated the X driver's metamode parser to allow mode names with periods (i.e. '.'s).
    * Fixed a problem with hotkey switching on some recent mobile GPUs.
    * worked around a power management regression in and improved compatibility with
      recent Linux 2.6 kernels.
    * Added support for OpenGL 3.0 for GeForce 8 series and newer GPUs.
  * debian/nvidia-glx-180.preinst:
    - Correct typo in the removal of diversions of /usr/lib/xorg/modules/extensions/libglx.so
  * debian/nvidia-glx-180.postrm.in
    - Do not remove libGL.so (LP: #309116)
  * debian/nvidia-glx-180-dev.preinst.in:
    - Add diversion on /usr/lib/libGL.so since (the postrm tries to remove it already)
  * debian/scriptremove.sh:
    - Remove from source.

 -- Alberto Milone (tseliot) <email address hidden> Thu, 29 Jan 2009 12:36:09 +0100

Changed in nvidia-graphics-drivers-180:
status: Confirmed → Fix Released
Steve Langasek (vorlon) wrote :

nvidia-graphics-drivers-177 is no longer available in jaunty; dropping this task.

Changed in nvidia-graphics-drivers-177:
status: Confirmed → Invalid
Steve Langasek (vorlon) wrote :

Since the nvidia drivers have been uploaded, my understanding is that we can also close the update-manager task.

Changed in update-manager:
status: Triaged → Invalid
Steve Langasek (vorlon) wrote :

oops, guess this still affects fglrx, so reopening.

Changed in update-manager:
status: Invalid → Confirmed
Steve Langasek (vorlon) on 2009-02-04
Changed in fglrx-installer:
status: New → Confirmed
Bryce Harrington (bryce) wrote :

We already have bug 313027 for fglrx, so the remaining fglrx task of this is rather a dupe of that bug.

Changed in fglrx-installer:
status: Confirmed → Invalid
Martin Pitt (pitti) wrote :

we don't need the update-manager warning with those new drivers then.

Changed in update-manager:
milestone: ubuntu-9.04-beta → none
status: Confirmed → Won't Fix
Levy (michel-levy) wrote :

I have the problem : I've installed the restricted nvidia driver (180) on Ubuntu Jaunty and this caused the removal of the whole xorg package stack!
After deletion of /usr/lib/nvidia it was possible to reinstall the xserver-xorg package.
But now it's impossible to use nvdia and I am unable to change the screen definition.

On Tue, Feb 10, 2009 at 16:06, Levy <email address hidden> wrote:

> I have the problem : I've installed the restricted nvidia driver (180) on
> Ubuntu Jaunty and this caused the removal of the whole xorg package stack!
> After deletion of /usr/lib/nvidia it was possible to reinstall the
> xserver-xorg package.
> But now it's impossible to use nvdia and I am unable to change the screen
> definition.

Jaunty is in a state of near-constant flux at the moment because of package
updates, and often you'll find that one package update will be available
that conflicts with another. In this case, it's possible that the nvidia
update conflicted with xorg, thus asking it to be removed.

It's probably not best to run Jaunty if you're not prepared for these
"growing pains", and you definitely have to be sure to review your updates
to see what will be removed by updating items.

Levy (michel-levy) wrote :

Andrew Conkling
Thank you really much for your information.
But I really don't how it's possible to revert to a more stable ubuntu version
Your analysis is certainly right, but I don't know what to do : Is it possible to simply remove
the line deb http://fr.archive.ubuntu.com/ubuntu jaunty main
from /etc/apt/sources.list ?

The message of xoco (above)
nvidia-glx-177 (-180 for me) provides xserver-xorg-video-4 (not xserver-xorg-video-5) ..
and update to new xorg minor/minor/minor build ... break graphics .. nvidia-glx cannon be installed ;(
speaks of this problem.

Noel J. Bergman (noeljb) wrote :

180.27 should not have that problem. I've got xorg (latest) and nvidia 180.27 installed. No problem.

Levy (michel-levy) wrote :

Dear Noel Bergman
Please, where did you find nvdia 180.27 ? On the site nvidia, they deliver only nvidia 180.22 and I have tried
to install it, with the same uncompatibility.

Michael Rooney (mrooney) wrote :

Levy, 180.27 is what you get in Jaunty if you enable the proprietary drivers
from "Hardware Drivers". No need to go to any website. They are working
splendidly for me.

Levy (michel-levy) wrote :

Michael Rooney
At this time, in jaunty (?) I have with your indication but in french ,
Systeme -> Pilotes des périphérique (hardware drivers)
and then I find only the last 180 (recommended) and that erases xorg.

Andrew Conkling (andrewski) wrote :

On Tue, Feb 10, 2009 at 16:54, Levy <email address hidden> wrote:

> Thank you really much for your information.
> But I really don't how it's possible to revert to a more stable ubuntu
> version
> Your analysis is certainly right, but I don't know what to do : Is it
> possible to simply remove
> the line deb http://fr.archive.ubuntu.com/ubuntu jaunty main
> from /etc/apt/sources.list ?

No, unfortunately it's not trivial. Please seek support through the support
channels: http://www.ubuntu.com/support/communitysupport. Continuing support
for your XOrg is outside the scope of this bug report.

Levy (michel-levy) wrote :

Thank you to Noel Bergman (and many others) who said :
180.27 should not have that problem.
idii
But I am looking for hardware drivers, I have the proposition : nvidia driver 180 (recommanded).

So I have found on the site
ftp://download.nvidia.com/XFree86/Linux-x86/180.29/
this new driver : NVIDIA-Linux-x86-180.29-pkg1.run

Then
1) I have to log on a console (ctrl alt f1 or f2) as root
2) kill the X server : /etc/init.d/gdm stop
3) Install the driver : sh NVIDIA-Linux-x86-180.29-pkg1.run

Marek Slama (mslama-email) wrote :

Levy you should use nvidia drivers provided from Ubuntu repo. It is much easier because it is synced with kernel updates. If you use dev Ubuntu version you should always check if there is any conflict before you actually apply updates. It is better to use command line tool like aptitude to do that because on console you can easily review result of update before you will decide if updates will be applied or not. If there is any version/dependency conflict do not apply updates and wait for resolutionn in repo. It is the best way to avoid broken installation.

Noel J. Bergman (noeljb) wrote :

Levy,

nvidia 180.29 is already (as of this morning) in the Intrepid and Jaunty repositories. It is an official release (as opposed to nvidia beta), and replaced 180.27.

I use the repositories as a general rule, except for Hardy, where I install the driver (177.82) by hand since the repository is hopelessly out of date.

Levy (michel-levy) wrote :

Noel Bergman
I don't understand how you do to have this driver in the Intrepid and Jaunty repositories.
Because when I choose Hardware driver I see only the driver 180.
Pehaps you have a file /etc/apt/sources.list different from my file.

Claudio Moretti (flyingstar16) wrote :

I've been using Nvidia driver since last week and it works well even with "Option 'ignoreABI' 'false' "..
Levy, have you tried updating your sources.list?
Use "apt-cache show nvidia-180-glx" to check which version you have.

Levy (michel-levy) wrote :

Claudio Moretti
I have installed the driver nvdia 180-29 by the method described above
sh NVIDIA-Linux-x86-180.29-pkg1.run
Consequently I have :
michel@michel-laptop:~$ apt-cache show nvidia-180-glx
W: Impossible de trouver le paquet nvidia-180-glx (impossible to find the package)
E: Aucun paquet n'a été trouvé (no package found)
Maybe, it's the origin of my problems.
Furthermore I don't understand this Option : it's an option of xorg.conf ?

umutuygar (umutuygar) wrote :

isn't it supposed to be "apt-cache show nvidia-glx-180"?
ubuntu 8.10 says my version of nvidia-glx-180 is 180.11 not 180.29. I installed it 2 weeks ago with "apt-get install nvidia-glx-180". Are you sure that 180.29 is in repositories? If so, shouldn't I be able to update it to 180.29 via apt-get upgrade?

Noel J. Bergman (noeljb) wrote :

See https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-180

Jaunty has 180.29. 180.29 is also available for Intrepid, but I'll have to check to see which repository has it.

Nate Wiebe (natew) wrote :

i am running jaunty and also have 180.29 [i cut some of the lines out]:

nate@nate-desktop:~$ apt-cache show nvidia-glx-180
Package: nvidia-glx-180
Priority: optional
Section: restricted/misc
Installed-Size: 26168
Maintainer: Ubuntu Core Developers <email address hidden>
Original-Maintainer: Debian NVIDIA Maintainers <email address hidden>
Architecture: i386
Source: nvidia-graphics-drivers-180
Version: 180.29-0ubuntu1
Provides: nvidia-glx, xserver-xorg-video-5
Filename: pool/restricted/n/nvidia-graphics-drivers-180/nvidia-glx-180_180.29-0ubuntu1_i386.deb
Size: 8877616

Claudio Moretti (flyingstar16) wrote :

Levy,
I'm really sorry, umutuygar is right: it's "apt-cache show nvidia-glx-180"
About the option, don't mind: it is a workaround that was used when 180.xx were unstable and ubuntu won't boot, but in low graphics mode. Now, it's useless.

Levy (michel-levy) wrote :

Thank you to Noel J.Berman.
 I have installed the new nvidia driver with
sudo aptitude install nvidia-glx-180
after a verification with synaptic that it was the good driver (180.29).

Furthermore I have done after an update which includes
nvidia-180-modaliases (180.29-0ubuntu1) to 180.29-0ubuntu2
And magically everything was solved (including the choice of visual effects in appareance.

Noel J. Bergman (noeljb) wrote :

For intrepid, the 180.29 driver is in Anders Kaseorg's PPA:

  deb http://ppa.launchpad.net/anders-kaseorg/ppa/ubuntu intrepid main
  deb-src http://ppa.launchpad.net/anders-kaseorg/ppa/ubuntu intrepid main

I've no idea why 180.29 hasn't replaced the 180.11 code currently in the official Intrepid repositories.

Michael Rooney (mrooney) wrote :

On Thu, Feb 12, 2009 at 9:35 AM, Noel J. Bergman wrote:

>
> I've no idea why 180.29 hasn't replaced the 180.11 code currently in the
> official Intrepid repositories.
>
>
Stability! From https://help.ubuntu.com/community/UbuntuBackports (pay
particular attention to the last sentence):

"Ubuntu releases a new version of its OS every 6 months. After a release,
the version of all packages stays constant for the entire 6 months. For
example, if Ubuntu ships with OpenOffice.org 2.0.x, it will remain at
OpenOffice.org 2.0.x for the entire 6-month release cycle, even if a later
version gets released during this time. The Ubuntu team may apply important
security fixes to 2.0.x, but any new features or non-security bugfixes will
not be made available."

Noel J. Bergman (noeljb) wrote :

Right. But please remember that 180.x was not in Intrepid *at all*, which is why they felt comfortable to drop in 180.11 in the first place. So it should really be a no-brainer to replace 180.11, which is known to be defective, with 180.29, which is known to fix many of the issues, in a release that had neither.

In any event, this is the wrong place for that topic. See Bug 297543, Bug #315169 and Bug 322416. I suppose that we'll need one for 180.29 as well, to get it into Intrepid.

Kjell Braden (afflux) wrote :

Please use Launchpad Answers [1], a user mailing list [2] or a forum [3] for this discussion.

[1] https://answers.launchpad.net/ubuntu
[2] one of the lists listed for "Community Support" on https://lists.ubuntu.com/
[3] http://www.ubuntu.com/support/community/webforums

nawitus (nawitus) wrote :

I have this bug. I updated to 9.04 rc2 and it worked fine for a day or two. Then I updated something, and after boot I got nvidia kernel mitmatch with 180 and 185 (I was using 180). I then tried to reinstall nvidia-glx-180, but after removing it if I try to install the package, all the xserver packages would be removed.

The included log shows this.

nawitus (nawitus) wrote :

Nevermind that, the problem was solved by removing a couple of 8.10 sources from repositories list.

Changed in update-manager (Ubuntu):
status: Confirmed → Invalid
tags: added: iso-testing
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments